<template>
    <div>
  <div class="page-title">
    <h3>Профиль</h3>
  </div>

  <form class="form" @submit.prevent="submitHandler" >
    <div class="input-field">
      <input
          id="description"
          type="text"
          v-model="name"
          :class="{invalid: (v$.name.$dirty && !v$.name.required) }"
      >
      <label for="description">Имя</label>
      <small class="helper-text invalid" v-for="(error, index) of v$.name.$errors" :key="index">
        {{ error.$property }} {{error.$message}}
      </small>
    </div>

    <div class="switch">
      <label>
        English
        <input type="checkbox" v-model="isRuLocale" >
        <span class="lever"></span>
        Russian
      </label>
    </div>

    <button class="btn waves-effect waves-light" type="submit">
      Обновить
      <i class="material-icons right">send</i>
    </button>
  </form>
</div>
</template>

<script>
import { mapGetters } from 'vuex'
import { useVuelidate } from "@vuelidate/core";
import { required } from '@vuelidate/validators'


export default {
  setup() {
    return { v$: useVuelidate() };
  },
  validations() {
    return {
      name: { required }
    };
  },
  data: () => ({
    name: '',
    isRuLocale: true,
  }),
  mounted () {
    this.name = this.info.name
    this.isRuLocale = this.info.locale === 'ru-RU'
    setTimeout(() => {
      M.updateTextFields()
    })
  },
  computed: {
    ...mapGetters(['info'])
  },
  methods: {
    async submitHandler() {
      this.v$.$touch();
      if (this.v$.$error) return;

      const formdata = {
        name: this.name,
        lang: ""
      };
      // try{
      //   await this.$store.dispatch('login',formdata)
      //   this.$router.push("/");
      // }
      // catch(e){
      //   this.$error(e.message)
      // }
    }
  }

}
</script>

<style scoped>
  .switch{
    margin-bottom: 2em;
  }
</style>
